pkfilterdem(1)

NAME
pkfilterdem - Filter digital elevation model raster datasets

SYNOPSIS
pkfilterdem
-i input -o output [options] [advanced options]

DESCRIPTION
pkfilterdem can be used to filter digital elevation models. It is typically used after the utility pklas2img(1) to create a digital terrain model. The default filter operation is the .

OPTIONS

\FC-i\F[] filename, \FC--input\F[] filename
    input image

\FC-o\F[] filename, \FC--output\F[] filename
    output classification image

\FC-f\F[] filter, \FC--filter\F[] filter
    post processing filter: vito, etew_min, promorph (progressive morphological filter), open, close).

\FC-dim\F[] maxsize, \FC--dim\F[] maxsize
    maximum filter kernel size

\FC-ot\F[] type, \FC--otype\F[] type
    Data type for output image ({Byte / Int16 / UInt16 / UInt32 / Int32 / Float32 / Float64 / CInt16 / CInt32 / CFloat32 / CFloat64}). Empty string: inherit type from input image

\FC-of\F[] format, \FC--oformat\F[] format
    Output image format (see also gdal_translate(1)).

\FC-ct\F[] colortable, \FC--ct\F[] colortable
    color table (file with 5 columns: id R G B ALFA (0: transparent, 255: solid)). Use none to omit color table

\FC-nodata\F[] value, \FC--nodata\F[] value
    nodata value

\FC-v\F[] level, \FC--verbose\F[] level
    verbose mode if > 0

Advanced options

\FC-circ\F[], \FC--circular\F[]
    circular disc kernel for dilation and erosion

\FC-st\F[] threshold, \FC--st\F[] threshold
    slope threshold used for morphological filtering. Use a low values to remove more height objects in flat terrains

\FC-ht\F[] threshold, \FC--ht\F[] threshold
    initial height threshold for progressive morphological filtering. Use low values to remove more height objects. Optionally, a maximum height threshold can be set via a second argument (e.g., \FC-ht\F[] 0.2 \FC-ht\F[] 2.5 sets an initial threshold at 0.2 m and caps the threshold at 2.5 m).

\FC-minchange\F[] number, \FC--minchange\F[] number
    Stop iterations when no more pixels are changed than this threshold.

SEE ALSO
pklas2img(1)